"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_typescript_1 = require("sequelize-typescript");
const umzug_1 = __importDefault(require("umzug"));
function getMigrator(sequelize, path) {
    return new umzug_1.default({
        migrations: {
            // indicates the folder containing the migration .js files
            path: path,
            // inject sequelize's QueryInterface in the migrations
            params: [
                sequelize.getQueryInterface(),
                sequelize_typescript_1.Sequelize,
            ],
        },
        // indicates that the migration data should be store in the database
        // itself through sequelize. The default configuration creates a table
        // named `SequelizeMeta`.
        storage: 'sequelize',
        storageOptions: {
            sequelize,
        },
    });
}
exports.default = getMigrator;
;
//# sourceMappingURL=getMigrator.js.map