"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = __importStar(require("fs"));
const path = __importStar(require("path"));
const removeCurrentRevisionMigrations_1 = __importDefault(require("./removeCurrentRevisionMigrations"));
async function sqlMigration(currentState, options) {
    await (0, removeCurrentRevisionMigrations_1.default)(currentState.revision, options.outDir, options);
    const name = options.migrationName || "sql";
    const comment = options.comment || "";
    let myState = JSON.stringify(currentState);
    const searchRegExp = /'/g;
    const replaceWith = "\\'";
    myState = myState.replace(searchRegExp, replaceWith);
    const info = {
        revision: currentState.revision,
        name,
        created: new Date(),
        comment,
    };
    const template = `'use strict';

  /** @type {import('sequelize-cli').Migration} */
  module.exports = {
    async up (queryInterface, Sequelize) {
      /**
       * Add altering commands here.
       *
       * Example:
       * await queryInterface.query('CREATE TABLE mytable (id INTEGER)');
       */
    },
  
    async down (queryInterface, Sequelize) {
      /**
       * Add reverting commands here.
       *
       * Example:
       * await queryInterface.query('DROP TABLE mytable');

       */
    }
  };  
`;
    const revisionNumber = currentState.revision.toString().padStart(8, "0");
    const filename = path.join(options.outDir, `${revisionNumber + (name !== "" ? `-${name.replace(/[\s-]/g, "_")}` : "")}.js`);
    fs.writeFileSync(filename, template);
    return { filename, info, revisionNumber };
}
exports.default = sqlMigration;
//# sourceMappingURL=sqlMigration.js.map